SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Google Chrome Vendors:   Google
Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1026841
SecurityTracker URL:  http://securitytracker.com/id/1026841
CVE Reference:   CVE-2011-3049, CVE-2011-3050, CVE-2011-3051, CVE-2011-3052, CVE-2011-3053, CVE-2011-3054, CVE-2011-3055, CVE-2011-3056   (Links to External Site)
Date:  Mar 23 2012
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 17.0.963.83
Description:   Multiple vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

A use-after-free may occur with first-letter handling [CVE-2011-3050]. miaubiz reported this vulnerability.

A use-after-free may occur in CSS cross-fade handling [CVE-2011-3051]. Arthur Gerkis reported this vulnerability.

A memory corruption error may occur in WebGL canvas handling [CVE-2011-3052]. Ben Vanik of Google reported this vulnerability.

A use-after-free may occur in block splitting [CVE-2011-3053]. miaubiz reported this vulnerability.

Some webui privilege errors may occur [CVE-2011-3054]. Sergey Glazunov reported this vulnerability.

A unspecified flaw in prompting the user for unpacked extension installation may occur [CVE-2011-3055]. PinkiePie reported this vulnerability.

A remote user can bypass same origin restristions with a "magic iframe" [CVE-2011-3056]. Sergey Glazunov reported this vulnerability.

An extension web request API can interfere with system requests [CVE-2011-3049]. This vulnerability was corrected in a previous release. Michael Gundlach reported this vulnerability.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fix (17.0.963.83).

The vendor's advisory is available at:

http://googlechromereleases.blogspot.com/2012/03/stable-channel-update_21.html

Vendor URL:  googlechromereleases.blogspot.com/2012/03/stable-channel-update_21.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (macOS/OS X), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
May 7 2012 (Apple Issues Fix for iOS) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
Apple has issued a fix for iOS.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC